OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PoseGpuRenderer Class Reference

`#include <poseGpuRenderer.hpp>`

Inherits op::GpuRenderer, and op::PoseRenderer.

## Public Member Functions
| PoseGpuRenderer (const PoseModel poseModel, const std::shared_ptr< PoseExtractorNet > &poseExtractorNet, const float renderThreshold, const bool blendOriginalFrame=true, const float alphaKeypoint=POSE_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=POSE_DEFAULT_ALPHA_HEAT_MAP, const unsigned int elementToRender=0u)
virtual | ~PoseGpuRenderer ()
void | initializationOnThread ()
std::pair< int, std::string > | renderPose (Array< float > &outputData, const Array< float > &poseKeypoints, const float scaleInputToOutput, const float scaleNetToOutput=-1.f)
Public Member Functions inherited from op::GpuRenderer
| GpuRenderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~GpuRenderer ()
std::tuple< std::shared_ptr < float * >, std::shared_ptr < bool >, std::shared_ptr < std::atomic< unsigned int > >, std::shared_ptr < std::atomic< unsigned long long > >, std::shared_ptr < const unsigned int > > | getSharedParameters ()
void | setSharedParametersAndIfLast (const std::tuple< std::shared_ptr< float * >, std::shared_ptr< bool >, std::shared_ptr< std::atomic< unsigned int >>, std::shared_ptr< std::atomic< unsigned long long >>, std::shared_ptr< const unsigned int >> &tuple, const bool isLast)
Public Member Functions inherited from op::Renderer
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)
Public Member Functions inherited from op::PoseRenderer
| PoseRenderer (const PoseModel poseModel)
virtual | ~PoseRenderer ()

## Additional Inherited Members
Protected Member Functions inherited from op::GpuRenderer
void | cpuToGpuMemoryIfNotCopiedYet (const float *const cpuMemory, const unsigned long long memoryVolume)
void | gpuToCpuMemoryIfLastRenderer (float *cpuMemory, const unsigned long long memoryVolume)
Protected Attributes inherited from op::GpuRenderer
std::shared_ptr< float * > | spGpuMemory
Protected Attributes inherited from op::Renderer
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes
Protected Attributes inherited from op::PoseRenderer
const PoseModel | mPoseModel
const std::map< unsigned int, std::string > | mPartIndexToName

## Constructor & Destructor Documentation

op::PoseGpuRenderer::PoseGpuRenderer | ( | const PoseModel | poseModel,
|  | const std::shared_ptr< PoseExtractorNet > & | poseExtractorNet,
|  | const float | renderThreshold,
|  | const bool | blendOriginalFrame = `true`,
|  | const float | alphaKeypoint = `POSE_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `POSE_DEFAULT_ALPHA_HEAT_MAP`,
|  | const unsigned int | elementToRender = `0u`
| ) |  |

virtual op::PoseGpuRenderer::~PoseGpuRenderer | ( |  | ) |
| virtual

## Member Function Documentation

void op::PoseGpuRenderer::initializationOnThread | ( |  | ) |
| virtual

Reimplemented from op::PoseRenderer.

std::pair<int, std::string> op::PoseGpuRenderer::renderPose | ( | Array< float > & | outputData,
|  | const Array< float > & | poseKeypoints,
|  | const float | scaleInputToOutput,
|  | const float | scaleNetToOutput = `-1.f`
| ) |  |
| virtual

Implements op::PoseRenderer.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseGpuRenderer.hpp